DRM_MM_HOLE_NODE_STA(9)

NAME
drm_mm_hole_node_start - computes the start of the hole following node

SYNOPSIS

unsigned long drm_mm_hole_node_start(struct drm_mm_node * hole_node);

ARGUMENTS

hole_node
    drm_mm_node which implicitly tracks the following hole

DESCRIPTION

This is useful for driver-sepific debug dumpers. Otherwise drivers should not inspect holes themselves. Drivers must check first whether a hole indeed follows by looking at node->hole_follows.

RETURNS

Start of the subsequent hole.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT